import request from '@/utils/request'

// 获取采购单列表
export function getPurchaseList(params) {
  return request({
    url: '/purchaseOrder/list',
    method: 'get',
    params
  })
}

// 获取采购单列表
export function getPurchaseDetail(params) {
  return request({
    url: '/purchaseOrder/detail',
    method: 'get',
    params
  })
}

// 获取采购入库单列表
export function getEnterList(params) {
  return request({
    url: '/purchaseStockIn/list',
    method: 'get',
    params
  })
}

// 获取采购入库单列表
export function getEnterDetail(params) {
  return request({
    url: '/purchaseStockIn/detail',
    method: 'get',
    params
  })
}

// 获取采购计划单列表
export function getPlanList(params) {
  return request({
    url: '/plan/list',
    method: 'get',
    params
  })
}

// 获取经销商采购计划单汇总列表
export function getSumList(params) {
  return request({
    url: '/plan/listCustomer',
    method: 'get',
    params
  })
}

// 提交经销商采购计划单
export function submitPlan(params) {
  return request({
    url: '/plan/submitPlan',
    method: 'post',
    data: params
  })
}